oci_error
oci_fetch_all
OCI8 Functions
PHP Manual

# oci_execute

(PHP 5, PECL oci8:1.1-1.2.4)

oci_execute — Executes a statement

### Description

bool oci_execute ( resource `$statement` [, int `$mode` ] )

Executes a previously parsed `statement` .

### Parameters

`statement`

  A valid OCI statement identifier.

`mode`

  Allows you to specify the execution mode (default is `OCI_COMMIT_ON_SUCCESS`).

  If you don't want statements to be committed automatically, you should specify `OCI_DEFAULT` as your `mode` .

  When using `OCI_DEFAULT` mode, you're creating a transaction. Transactions are automatically rolled back when you close the connection, or when the script ends, whichever is soonest. You need to explicitly call oci_commit() to commit the transaction, or oci_rollback() to abort it.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: In PHP versions before 5.0.0 you must use ociexecute() instead. This name still can be used, it was left as alias of oci_execute() for downwards compatability. This, however, is deprecated and not recommended.

### See Also

- oci_parse()

oci_error
oci_fetch_all
OCI8 Functions
PHP Manual